Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.exceptions
Class VectorSizeMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.neuroph.core.exceptions.VectorSizeMismatchException

All Implemented Interfaces:
  java.io.Serializable

    public class VectorSizeMismatchException

extends java.lang.RuntimeException

Thrown to indicate that vector size does not match the network input or training element size.

See Also:
  Serialized Form

Constructor Summary
`VectorSizeMismatchException()` Constructs an VectorSizeMismatchException with no detail message.
`VectorSizeMismatchException(java.lang.String message)` Constructs an VectorSizeMismatchException with the specified detail message.
`VectorSizeMismatchException(java.lang.String message, java.lang.Throwable cause)` Constructs a VectorSizeMismatchException with the specified detail message and specified cause.
`VectorSizeMismatchException(java.lang.Throwable cause)` Constructs a new runtime exception with the specified cause

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VectorSizeMismatchException

    public VectorSizeMismatchException()

  Constructs an VectorSizeMismatchException with no detail message.

### VectorSizeMismatchException

    public VectorSizeMismatchException(java.lang.String message)

  Constructs an VectorSizeMismatchException with the specified detail message.

  Parameters:
    `message` - the detail message.

### VectorSizeMismatchException

    public VectorSizeMismatchException(java.lang.String message,
                                       java.lang.Throwable cause)

  Constructs a VectorSizeMismatchException with the specified detail message and specified cause.

  Parameters:
    `message` - the detail message.
    `cause` - the cause for exception

### VectorSizeMismatchException

    public VectorSizeMismatchException(java.lang.Throwable cause)

  Constructs a new runtime exception with the specified cause

  Parameters:
    `cause` - the cause for exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD